Skip to content
Coritan Docs

Organization API: Org Staff Notices

Every Organization API operation tagged Org Staff Notices.

View as Markdown

Base URL: https://api.coritan.com/api/v1. Paths below are complete.

To try these requests in the browser, open the interactive Organization API reference.

Method Path Summary
GET /api/v1/orgs/{org_slug}/staff/notices Staff list notices
POST /api/v1/orgs/{org_slug}/staff/notices Staff create notice
PATCH /api/v1/orgs/{org_slug}/staff/notices/{notice_id} Staff patch notice
DELETE /api/v1/orgs/{org_slug}/staff/notices/{notice_id} Staff delete notice
POST /api/v1/orgs/{org_slug}/staff/notices/{notice_id}/updates A line on the timeline

GET /api/v1/orgs/{org_slug}/staff/notices

Name In Type Required
org_slug path string yes
status query string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/staff/notices

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
kind string no
title string yes
body string or null no
audience string no
placement string no
status string no
starts_at string (date-time) or null no
ends_at string (date-time) or null no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/staff/notices/{notice_id}

Name In Type Required
notice_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
kind string or null no
title string or null no
body string or null no
audience string or null no
placement string or null no
status string or null no
starts_at string (date-time) or null no
ends_at string (date-time) or null no
clear_starts_at boolean no
clear_ends_at boolean no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/staff/notices/{notice_id}

Name In Type Required
notice_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/staff/notices/{notice_id}/updates

A line on the timeline. resolved also resolves the notice.

Name In Type Required
notice_id path integer yes
org_slug path string yes

application/json (required)

Field Type Required
state string no
body string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.